Bug 699897 - Unable to update gnome-keyring due to file capabilities usage
Summary: Unable to update gnome-keyring due to file capabilities usage
Keywords:
Status: CLOSED WONTFIX
Alias: None
Product: Fedora
Classification: Fedora
Component: gnome-keyring
Version: 17
Hardware: x86_64
OS: Linux
unspecified
unspecified
Target Milestone: ---
Assignee: Matthias Clasen
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2011-04-26 20:54 UTC by Pavol Šimo
Modified: 2013-08-01 17:46 UTC (History)
4 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2013-08-01 17:46:35 UTC
Type: ---


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
GNOME Bugzilla 649560 None None None Never

Description Pavol Šimo 2011-04-26 20:54:32 UTC
I'm unable to update gnome-keyring package:

Error unpacking rpm package gnome-keyring-3.0.1-1.fc15.x86_64
error: unpacking of archive failed on file /usr/bin/gnome-keyring-daemon: cpio: cap_set_file

I have root filesystem on nfs (v3)

Comment 1 Tomáš Bžatek 2011-04-28 14:54:00 UTC
This is interesting, yet true. NFS doesn't support extended attributes, required to store file caps (and selinux labels too). Perhaps NFS4?

rpm shouldn't probably fail to extract the file. But I'm afraid gnome-keyring-daemon will not work correctly (seen some issues before)...

Comment 2 Pavol Šimo 2011-04-28 15:57:11 UTC
I've just tried to use file capabilities on NFS4 (setcap) and it doesn't support them too.

So what do I have to do? IMHO rpm really should not fail in this case - reassign this bug to rpm? cpio?

Comment 3 Fedora Update System 2011-05-10 13:13:44 UTC
gnome-keyring-3.0.1-2.fc15 has been submitted as an update for Fedora 15.
https://admin.fedoraproject.org/updates/gnome-keyring-3.0.1-2.fc15

Comment 4 Tomáš Bžatek 2011-05-10 13:15:00 UTC
Pavol, the above update should allow you to run gnome-keyring-daemon without filecaps set. It doesn't however solve the rpm installation error. I'll reassign this to rpm folks once you confirm me the keyring daemon works fine on your system.

Comment 5 Fedora Update System 2011-05-19 04:55:50 UTC
gnome-keyring-3.0.1-2.fc15 has been pushed to the Fedora 15 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 6 Ludovic 2011-05-29 07:44:49 UTC
I'm having what seems to be the same problem when installing/updating gnome-keyring:

[someone@nsomewhere ~]$ sudo yum install gnome-keyring
Loaded plugins: langpacks, presto, refresh-packagekit
Setting up Install Process
Resolving Dependencies
--> Running transaction check
---> Package gnome-keyring.x86_64 0:3.0.2-1.fc15 will be installed
--> Finished Dependency Resolution

Dependencies Resolved

===================================================================
 Package           Arch       Version            Repository   Size
===================================================================
Installing:
 gnome-keyring     x86_64     3.0.2-1.fc15       updates     1.1 M

Transaction Summary
===================================================================
Install       1 Package(s)

Total download size: 1.1 M
Installed size: 5.9 M
Is this ok [y/N]: y
Downloading Packages:
Setting up and reading Presto delta metadata
Processing delta metadata
Package(s) data still to download: 1.1 M
gnome-keyring-3.0.2-1.fc15.x86_64.rpm       | 1.1 MB     00:01     
Running rpm_check_debug
Running Transaction Test
Transaction Test Succeeded
Running Transaction
  Installing : gnome-keyring-3.0.2-1.fc15.x86_64               1/1 
Error unpacking rpm package gnome-keyring-3.0.2-1.fc15.x86_64
error: unpacking of archive failed on file /usr/bin/gnome-keyring-daemon: cpio: cap_set_file

Failed:
  gnome-keyring.x86_64 0:3.0.2-1.fc15                              

Complete!



FS being installed on is ext4:

[someone@nsomewhere ~]$ mount | grep sda
/dev/sda6 on / type ext4 (rw,noatime,barrier=1,data=ordered)
/dev/sda6 on /tmp type ext4 (rw,noatime,barrier=1,data=ordered)
/dev/sda6 on /var/tmp type ext4 (rw,noatime,barrier=1,data=ordered)
/dev/sda6 on /home type ext4 (rw,noatime,barrier=1,data=ordered)

Comment 7 Ludovic 2011-05-29 08:14:56 UTC
I recompiled my 2.6.39 kernel with:

CONFIG_EXT4_FS_XATTR=y
CONFIG_EXT4_FS_POSIX_ACL=y
CONFIG_EXT4_FS_SECURITY=y

I did not need to set these in with Fedora < 15.

Comment 8 Ludovic 2011-05-29 08:31:15 UTC
In my previous comment, I meant to imply that with the updated kernel configuration, installing/updating gnome-keyring now works.

Comment 9 Scott Dowdle 2011-06-16 22:50:54 UTC
I ran into this problem today... but it is in quite a different environment so I'm guessing it will be difficult to get anyone to care about fixing it.

I'm running Fedora 15 32-bit in an OpenVZ container.  Host OS is RHEL6 and I'm using OpenVZ RHEL6-based kernel.  As you probably know, with containers there is only one kernel and all containers share it.  The host node filesystem is ext4.

The OpenVZ Project just released a beta Fedora 15 OS Template a couple of days ago.  It is very minimal and does not include any GUI software at all.  Using yum groupinstall I installed KDE, GNOME, LXDE and XFCE and am accessing them via nomachine's NX protocol (mainly just testing) although I could have alternatively used xrdp or vnc.

Turned out that vzctl had to be updated so that it knows when a container's distro is going to try and use systemd and if so, it dynamically switches it to upstart... since vzctl doesn't support systemd yet.

Adventures on the fringe are fun.

Comment 10 Fedora End Of Life 2012-08-07 20:22:38 UTC
This message is a notice that Fedora 15 is now at end of life. Fedora
has stopped maintaining and issuing updates for Fedora 15. It is
Fedora's policy to close all bug reports from releases that are no
longer maintained. At this time, all open bugs with a Fedora 'version'
of '15' have been closed as WONTFIX.

(Please note: Our normal process is to give advanced warning of this
occurring, but we forgot to do that. A thousand apologies.)

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, feel free to reopen
this bug and simply change the 'version' to a later Fedora version.

Bug Reporter: Thank you for reporting this issue and we are sorry that
we were unable to fix it before Fedora 15 reached end of life. If you
would still like to see this bug fixed and are able to reproduce it
against a later version of Fedora, you are encouraged to click on
"Clone This Bug" (top right of this page) and open it against that
version of Fedora.

Although we aim to fix as many bugs as possible during every release's
lifetime, sometimes those efforts are overtaken by events. Often a
more recent Fedora release includes newer upstream software that fixes
bugs or makes them obsolete.

The process we are following is described here:
http://fedoraproject.org/wiki/BugZappers/HouseKeeping

Comment 11 Marcus Moeller 2012-08-10 12:37:35 UTC
So are there any plans to fix the installation issue, as it is still valid on Fedora 17?

Comment 12 Fedora Admin XMLRPC Client 2013-05-07 16:04:24 UTC
This package has changed ownership in the Fedora Package Database.  Reassigning to the new owner of this component.

Comment 13 Fedora End Of Life 2013-07-04 06:15:28 UTC
This message is a reminder that Fedora 17 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 17. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '17'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 17's end of life.

Bug Reporter:  Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 17 is end of life. If you 
would still like  to see this bug fixed and are able to reproduce it 
against a later version  of Fedora, you are encouraged  change the 
'version' to a later Fedora version prior to Fedora 17's end of life.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

Comment 14 Fedora End Of Life 2013-08-01 17:46:40 UTC
Fedora 17 changed to end-of-life (EOL) status on 2013-07-30. Fedora 17 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.


Note You need to log in before you can comment on or make changes to this bug.